#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lzo
Version		:	2.10
Release		:	14.8.0.0%{?dist}
Summary		:	Data compression library with very fast (de)compression
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://www.oberhumer.com/opensource/lzo

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
#-----------------------------------------------------------------------------
%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio
while still decompressing at this very high speed.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc AUTHORS README NEWS THANKS README COPYING ChangeLog
%{_libdir}/lib%{name}2.so.2*

#=============================================================================
%package		devel
Summary		:	Development files for the lzo library

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
LZO is a portable lossless data compression library
written in ANSI C.  It offers pretty fast compression
and very fast decompression.  This package contains
development files needed for lzo.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-, root,root, -)
%doc doc/LZOAPI.TXT doc/LZO.FAQ doc/LZO.TXT
%{_includedir}/%{name}/%{name}*.h
%{_libdir}/lib%{name}2.so
%{_libdir}/pkgconfig/%{name}2.pc
%{_defaultdocdir}/%{name}-%{version}/LZO.*
%{_defaultdocdir}/%{name}-%{version}/LZOAPI.TXT

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static				\


%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALL="install -p"				\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
